<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.wisdom.alarm.sharding.mapper.RuleUpdateEventMapper">
    <resultMap type="com.gyee.wisdom.alarm.sharding.entity.RuleUpdateEvent" id="ruleUpdateEventResult">
        <result property="id" column="ID"/>
        <result property="ruleType" column="RULETYPE"/>
        <result property="ruleName" column="RULENAME"/>
        <result property="ruleId" column="RULEID"/>
        <result property="updateTime" column="UPDATETIME"/>
        <result property="updateType" column="UPDATETYPE"/>
        <result property="updateUser" column="UPDATEUSER"/>
        <collection property="infoList" column="ID" javaType="java.util.List"
                    ofType="com.gyee.wisdom.alarm.sharding.entity.RuleUpdateEventInfo"
                    select="com.gyee.wisdom.alarm.sharding.mapper.RuleUpdateEventInfoMapper.getInfoByEventId"/>
    </resultMap>

</mapper>
